Loading...
Searching...
No Matches
Opm::FileDeck Class Reference

## Classes

struct | Index

## Public Types

enum class | OutputMode { INLINE = 1 , SHARE = 2 , COPY = 3 }

## Public Member Functions

| FileDeck (const Deck &deck)
std::optional< Index > | find (const std::string &keyword, const Index &offset) const
std::optional< Index > | find (const std::string &keyword) const
std::size_t | count (const std::string &keyword) const
void | erase (const Index &index)
void | erase (const Index &begin, const Index &end)
void | insert (const Index &index, const DeckKeyword &keyword)
void | dump_stdout (const std::string &output_dir, OutputMode mode) const
void | dump (const std::string &dir, const std::string &fname, OutputMode mode) const
const DeckKeyword & | operator[] (const Index &index) const
Index | start () const
Index | stop () const
void | rst_solution (const std::string &rst_base, int report_step)
void | insert_skiprest ()
void | skip (int report_step)

## Static Public Member Functions

static const std::unordered_set< std::string > & | rst_keep_in_solution ()

The documentation for this class was generated from the following files:

- opm/input/eclipse/Deck/FileDeck.hpp
- opm/input/eclipse/Deck/FileDeck.cpp